Skip to content
OpenPostDocs
OpenPostDocs
Publications

Build publication copy from an idea

Creates canonical and destination-specific copy for review. It does not save, schedule, or publish anything.

POST/post-builder/generate

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/post-builder/generate" \  -H "Content-Type: application/json" \  -d '{    "idea": "string",    "social_account_ids": [      "string"    ],    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/GeneratePostOutputBody.json",  "model": "string",  "renditions": [    {      "body": "string",      "social_account_id": "string"    }  ],  "source_text": "string"}